"""
    expert.ai Extract

    Expert.ai Extract provides layout recognition for PDF documents by detecting and extracting:  - Text with reading order - Titles and headings - Headers and footers - Tables - Document metadata - Pages count  The textual elements are returned together with the number of the page in which they occur and their bounding box.   # noqa: E501

    The version of the OpenAPI document: v1
    Contact: api.support@expert.ai
    Generated by: https://openapi-generator.tech
"""

from setuptools import setup, find_namespace_packages  # noqa: H301

NAME = "expertai-extract"
VERSION = "0.1.0"
# To install the library, run the following
#
# python setup.py install
#
# prerequisite: setuptools
# http://pypi.python.org/pypi/setuptools

REQUIRES = [
    "urllib3 >= 1.25.3",
    "python-dateutil",
]

setup(
    name=NAME,
    version=VERSION,
    description="Python client for expert.ai Extract",
    author="expert.ai",
    author_email="api.support@expert.ai",
    url="https://github.com/therealexpertai/extract-python",
    keywords=["expert.ai Extract"],
    python_requires=">=3.6",
    install_requires=REQUIRES,
    packages=find_namespace_packages(include=["expertai.*"]),
    include_package_data=True,
    license_files='LICENSE.txt',
    license='Apache License 2.0',
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: Apache Software License",
        "Operating System :: OS Independent",
        'Topic :: Text Processing :: Linguistic',
        'Intended Audience :: Developers',
        'Intended Audience :: Science/Research',
        'Intended Audience :: Education',
    ],
    long_description="""\
    Python client for expert.ai Extract. Extract pulls out text from PDF documents in a smart way, recognizing headings, tables, body text, headers and footers. It returns text elements, page by page, with their bounding boxes and in the same order a human would read them. Extract also return general document information and possible metadata."""
)
